| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__EACockpitMemberInfo Struct Reference
Executive Assistant Group

EA Cockpit Member Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | MemberIdentifier
| The ServiceID of the member to be updated. More...
xsd__string | PhoneIP
| A value indicating the Phone IP of the member. More...
xsd__boolean * | TypeExecutive
| Flag indicating if member is an executive. More...
wchar_t * | MemberName
| The unicode name of the member. More...
enum unsp__EAMemberStatus * | MemberStatus
| The current status of the EA member. More...
xsd__string | MemberPreference
| Attribute that can be used for preferences. More...
xsd__string | MemberForwardNumber
| A value indicating the forward number of the member. More...
xsd__string | MemberToNumber
| A value indicating the 'to' number of the member. More...
xsd__string | AdditionalInfo
| Additional information. More...

## Detailed Description

EA Cockpit Member Information.

## Member Data Documentation

## ◆ AdditionalInfo

xsd__string unsp__EACockpitMemberInfo::AdditionalInfo

Additional information.

required: false
default value[range]: NA

## ◆ MemberForwardNumber

xsd__string unsp__EACockpitMemberInfo::MemberForwardNumber

A value indicating the forward number of the member.

required: false
default value[range]: NA

## ◆ MemberIdentifier

xsd__string unsp__EACockpitMemberInfo::MemberIdentifier

The ServiceID of the member to be updated.

required: true

See also
  unsp__ServiceId

## ◆ MemberName

wchar_t* unsp__EACockpitMemberInfo::MemberName

The unicode name of the member.

required: false
default value[range]: NA

## ◆ MemberPreference

xsd__string unsp__EACockpitMemberInfo::MemberPreference

Attribute that can be used for preferences.

required: false
default value[range]: NA

## ◆ MemberStatus

enum unsp__EAMemberStatus* unsp__EACockpitMemberInfo::MemberStatus

The current status of the EA member.

required: false
default value[range]: NA

## ◆ MemberToNumber

xsd__string unsp__EACockpitMemberInfo::MemberToNumber

A value indicating the 'to' number of the member.

required: false
default value[range]: NA

## ◆ PhoneIP

xsd__string unsp__EACockpitMemberInfo::PhoneIP

A value indicating the Phone IP of the member.

required: false
default value[range]: NA

## ◆ TypeExecutive

xsd__boolean* unsp__EACockpitMemberInfo::TypeExecutive

Flag indicating if member is an executive.

required: false
default value[range]: NA

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h